
Foreman - Bug #2608

Missing comps: rubygem-po_to_json, foreman-selinux, passenger 4

06/04/2013 06:54 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Fedora 18 packages fail as they're missing rubygem-po_to_json from comps.

foreman-selinux needs adding to comps as part of #2517.

Passenger 4 packages, once known, will need adding (e.g. ruby193-rubygem-passenger-native-libs).

Related issues:

Related to Foreman - Bug #2517: SELinux should be built as an Foreman subpackage Closed 05/20/2013

Associated revisions

Revision 989f9de9 - 06/06/2013 10:54 AM - Dominic Cleal

fixes #2608 - add passenger, selinux to comps

Revision c27109ef - 06/06/2013 11:48 AM - Sam Kottler

Merge remote-tracking branch 'domcleal/2608-comps-passenger' into develop

domcleal/2608-comps-passenger:

fixes #2608 - add passenger, selinux to comps

Revision 9757b603 - 06/07/2013 04:57 AM - Dominic Cleal

fixes #2608 - add passenger, selinux to comps

(cherry picked from commit 989f9de937feebd0fe598fc322ae534d22dcfefd)

History

#1 - 06/04/2013 09:56 AM - Martin Bacovsky

rubygem-daemon_controller needs adding to comps as dependence of passenger (rhel6 and fedora18)

#2 - 06/04/2013 01:44 PM - Anonymous

running yum-builddep against the foreman 2.1-RC1 rpm complains there is no package found for ruby193-rubygems(less-rails). This package is

apparently necessary to rebuild the rpm's.

#3 - 06/05/2013 10:16 AM - Dominic Cleal

Martin Bacovsky wrote:

rubygem-daemon_controller needs adding to comps as dependence of passenger (rhel6 and fedora18)

 For passenger 4, we need:

mod_passenger

rubygem-passenger

rubygem-passenger-native

rubygem-passenger-native-libs

rubygem-daemon_controller
https://projects.theforeman.org/issues/2517


Plus ruby193-* versions of the above.

#4 - 06/06/2013 10:55 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/701

#5 - 06/06/2013 12:17 PM - Sam Kottler

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c27109efb3531d5534d4b414e121d67737398445.
